# Ω*
#               ■          ■■■■■  
#               ■         ■■   ■■ 
#               ■        ■■     ■ 
#               ■        ■■       
#     ■■■■■     ■        ■■■      
#    ■■   ■■    ■         ■■■     
#   ■■     ■■   ■          ■■■■   
#   ■■     ■■   ■            ■■■■ 
#   ■■■■■■■■■   ■              ■■■
#   ■■          ■               ■■
#   ■■          ■               ■■
#   ■■     ■    ■        ■■     ■■
#    ■■   ■■    ■   ■■■  ■■■   ■■ 
#     ■■■■■     ■   ■■■    ■■■■■


"""
Moca System Core Module
モカシステムコアモジュール
茉客系统核心模块

[MocaCore]

Copyright (c) 2020.1.17 [el.ideal-ideas]

This software is released under the MIT License. see LICENSE.txt.

https://www.el-ideal-ideas.com
"""


from .constants import EL_S, DIGITS, HIRAGANA, KATAKANA, ALPHABET_UPPERCASE, ALPHABET_LOWERCASE, MOCHI_MOCHI, MENDAKO
from .constants import ConsoleColor, VERSION
from .exceptions import MocaError
from .utils import if_not_none, if_not_false, is_not_none, is_not_false, get_caller_name, get_self_name
from .utils import get_random_string, get_random_string_by_digits, get_random_string_by_hiragana
from .utils import get_random_string_by_katakana, get_random_string_by_kana, get_random_string_by_mochi
from .utils import get_random_string_by_tako, get_time_string, print_with_color, os_exit, sys_exit, add_extension
from .utils import add_dot_jpg, add_dot_jpeg, add_dot_gif, add_dot_txt, add_dot_png, add_dot_csv, add_dot_rtf
from .utils import add_dot_pdf, add_dot_md, add_dot_log, add_dot_json, add_dot_py, add_dot_cache, add_dot_pickle
from .utils import add_dot_js, add_dot_css, add_dot_html, set_interval, set_timeout, run_on_other_thread
from .utils import on_other_thread, run_on_other_process, on_other_process, is_hiragana, is_small_hiragana
from .utils import is_katakana, is_small_katakana, hiragana_to_katakana, katakana_to_hiragana, check_length
from .utils import to_string_list, create_path_if_not_exists, dump_json_beautiful, dumps_json_beautiful
from .file_system import get_children_list, get_children_list_as_str, get_children_file_list
from .file_system import get_children_file_list_as_str, get_children_directory_list, get_children_directory_list_as_str
from .file_system import get_file_system_tree, dump_file_system_tree
from .system import get_process_id, get_process_name, get_process_username, get_cpu_percent,get_process_memory_percent
from .system import get_process_memory_used, get_process_thread_count, get_process_info, get_process_environment
from .system import get_process_cpu_percent, get_cpu_info, get_memory_info, get_swap_info, get_disk_info, get_cpu_count
from .encrypt import encrypt, decrypt


__copyright__ = 'Copyright (C) 2020.1.17 <el.ideal-ideas: https://www.el-ideal-ideas.com>'
__version__ = VERSION
__license__ = 'MIT'
__author__ = 'el.ideal-ideas'
__author_email__ = 'el.idealideas@gmail.com'
__url__ = 'https://github.com/el-ideal-ideas/MocaCore'

__all__ = ['EL_S', 'DIGITS', 'HIRAGANA', 'KATAKANA', 'ALPHABET_UPPERCASE', 'ALPHABET_LOWERCASE', 'MOCHI_MOCHI',
           'MENDAKO', 'ConsoleColor', 'VERSION', 'MocaError', 'if_not_none', 'if_not_false', 'is_not_none',
           'is_not_false', 'get_caller_name', 'get_self_name', 'get_random_string', 'get_random_string_by_digits',
           'get_random_string_by_hiragana', 'get_random_string_by_katakana', 'get_random_string_by_kana',
           'get_random_string_by_mochi', 'get_random_string_by_tako', 'get_time_string', 'print_with_color', 'os_exit',
           'sys_exit', 'add_extension', 'add_dot_jpg', 'add_dot_jpeg', 'add_dot_gif', 'add_dot_txt', 'add_dot_png',
           'add_dot_csv', 'add_dot_rtf', 'add_dot_pdf', 'add_dot_md', 'add_dot_log', 'add_dot_json', 'add_dot_py',
           'add_dot_cache', 'add_dot_pickle', 'add_dot_js', 'add_dot_css', 'add_dot_html', 'set_interval',
           'set_timeout', 'run_on_other_thread', 'on_other_thread', 'run_on_other_process', 'on_other_process',
           'is_hiragana', 'is_small_hiragana', 'is_katakana', 'is_small_katakana', 'hiragana_to_katakana',
           'katakana_to_hiragana', 'check_length', 'to_string_list', 'create_path_if_not_exists', 'dump_json_beautiful',
           'dumps_json_beautiful', 'get_children_list', 'get_children_list_as_str', 'get_children_file_list',
           'get_children_file_list_as_str', 'get_children_directory_list', 'get_children_directory_list_as_str',
           'get_file_system_tree', 'dump_file_system_tree', 'get_process_id', 'get_process_name',
           'get_process_username', 'get_cpu_percent', 'get_process_memory_percent', 'get_process_memory_used',
           'get_process_thread_count', 'get_process_info', 'get_process_environment', 'get_process_cpu_percent',
           'get_cpu_info', 'get_memory_info', 'get_swap_info', 'get_disk_info', 'get_cpu_count', 'encrypt', 'decrypt']
